FROM alpine:latest

RUN apk add --no-cache \
      bash \
      git \
      neovim \
      python3 \
      py3-pip \
      py3-virtualenv \
      openssh \
      cryptsetup \
      util-linux \
      pssh \
      mc \
      e2fsprogs \
      screen \
      rsync \
      sshfs \
      device-mapper \
      borgbackup
      

WORKDIR /root

RUN ln -sf /usr/bin/nvim /usr/bin/vim

COPY known_hosts /root/.ssh/
COPY config /root/.ssh/

RUN ssh-keygen -t rsa -b 4096 -f /root/.ssh/id_rsa -N "" && \
    chmod 600 /root/.ssh/id_rsa && \
    chmod 600 /root/.ssh/config

COPY rex /usr/bin/
COPY template /usr/bin/
COPY create_volume /usr/bin/
COPY mount_volume /usr/bin/

COPY .bashrc /root/.bashrc

WORKDIR /app

CMD ["bash"]


